Invoice lines (Factuurregels)¶
Current version: 1.0.0
Read¶
- GET /api2/factuurregels¶
Get a list of invoice lines for a specified date range
Example request:
GET /api2/factuurregels?begin=2014-09-23&eind=2014-09-24 HTTP/1.1 Host: demo.recras.nl Accept: application/json
Example response:
HTTP/1.1 200 OK Content-Type: application/json [ { "id": 46, "factuur_id": 123, // (invoice_id) "naam": "Klimmen en barbecue", // (name) "kortingomschrijving": "", // (discount_description) "aantal": 15, // (quantity) "bedrag": 25.50, // (amount) "btw_percentage": 6, // (vat_percentage) "product_id": 2, "boekingsregel_id": 134, // (booking_line_id) "kortingsfactor": 1.0, // (discount_factor) "totaal_inc_btw": 382.50, // (total_including_vat) "totaal_exc_btw": 360.85, // (total_excluding_vat) "Factuur": { // (Invoice) "id": 123, "klant_id": 47, // (customer_id) "datum": "2014-09-23", // (date) "status": "verzonden", // (status) "factuur_nummer": "2014-123", // (invoice_number) "bedrijf_id": 1 // (company_id) } } ]
- Query Parameters:
begin (ISO8601-date) – Required Start date for the date range filter
eind (ISO8601-date) – Required End date for the date range filter (eind means end)
referentiedatum (string) – Optional, default
factuur(invoice). The reference date for filtering, possible values arefactuur(invoice date, default) orbooking(booking date) (referentiedatum means reference_date)invoice_moment (string) – Optional. Show only lines of invoices sent at this moment compared to the booking, judged against the period:
advance,same_periodorin_arrears. With the invoice date as reference date, the booking starts after, in or before the period. With the booking date as reference date, the invoice is dated before, in or after the period.product_id (int) – Optional Filter by product ID. Use
0to filter for lines with no product (product_id = null). Multiple values are possible with a comma-separated list (e.g.,0,1for null or product ID 1)btw_percentage (float) – Optional Filter by VAT percentage (btw_percentage). Multiple values are possible with a comma-separated list (e.g.,
6,21)Factuur.bedrijf_id (int) – Optional Filter by company ID (bedrijf_id) of the invoice. Multiple values are possible with a comma-separated list. Empty value returns lines from all companies
Factuur.context (string) – Optional Filter by invoice context. Possible values are
invoice,online_booking,posembed (string) – Optional Embed linked resources. Possible values:
Product,Boeking(Booking)
- Request Headers:
Authorization – mandatory Basic authentication
- Status Codes:
200 OK – no error
406 Not Acceptable – Missing required parameters (begin and eind)
Changelog¶
1.0.0 - Initial version